-----------------------------------------------------------------------------

if not Aloft or not Aloft:HasModule("Alpha") then return end
local AloftAlpha = Aloft:GetModule("Alpha")
local L = AceLibrary("AceLocale-2.2"):new("AloftAlphaOptions")

-----------------------------------------------------------------------------

L:RegisterTranslations("enUS", function() return {
	["Alpha"] = true,
	["Various Alpha Options"] = true,

	["Target Enable"] = true,
	["Enable Changing Alpha Of Target"] = true,

	["Target Alpha"] = true,
	["Sets the alpha of the target's nameplate"] = true,

	["Non-Target Enable"] = true,
	["Enable Changing Alpha Of non-Target"] = true,

	["Non-Target Alpha"] = true,
	["Sets the alpha of non-target nameplates"] = true,

	["Default Enable"] = true,
	["Enable Changing Alpha Of default nameplates"] = true,

	["Default Alpha"] = true,
	["Sets the alpha of default nameplates"] = true,

} end)

-----------------------------------------------------------------------------

Aloft.Options.args.AloftAlpha =
{
	type = 'group',
	name = L["Alpha"],
	desc = L["Various Alpha Options"],
	disabled = function() return not Aloft:IsActive() end,
	args =
	{
		targetEnable =
		{
			type = 'toggle',
			name = L["Target Enable"],
			desc = L["Enable Changing Alpha Of Target"],
			get = function() return AloftAlpha.db.profile.targetEnable end,
			set = function(v) AloftAlpha.db.profile.targetEnable = v AloftAlpha:EnableChange() end,
			order = 1
		},
		targetAlpha =
		{
			type = 'range',
			name = L["Target Alpha"],
			desc = L["Sets the alpha of the target's nameplate"],
			min = 0,
			max = 1,
			step = 0.01,
			disabled = function() return not AloftAlpha.db.profile.targetEnable end,
			get = function() return AloftAlpha.db.profile.targetAlpha end,
			set = function(v) AloftAlpha.db.profile.targetAlpha = v end,
			order = 2,
		},
		nonTargetEnable =
		{
			type = 'toggle',
			name = L["Non-Target Enable"],
			desc = L["Enable Changing Alpha Of non-Target"],
			get = function() return AloftAlpha.db.profile.nonTargetEnable end,
			set = function(v) AloftAlpha.db.profile.nonTargetEnable = v AloftAlpha:EnableChange() end,
			order = 3,
		},
		nonTargetAlpha =
		{
			type = 'range',
			name = L["Non-Target Alpha"],
			desc = L["Sets the alpha of non-target nameplates"],
			min = 0,
			max = 1,
			step = 0.01,
			disabled = function() return not AloftAlpha.db.profile.nonTargetEnable end,
			get = function() return AloftAlpha.db.profile.nonTargetAlpha end,
			set = function(v) AloftAlpha.db.profile.nonTargetAlpha = v end,
			order = 4,
		},
		defaultEnable =
		{
			type = 'toggle',
			name = L["Default Enable"],
			desc = L["Enable Changing Alpha Of default nameplates"],
			get = function() return AloftAlpha.db.profile.defaultEnable end,
			set = function(v) AloftAlpha.db.profile.defaultEnable = v AloftAlpha:EnableChange() end,
			order = 5,
		},
		defaultAlpha =
		{
			type = 'range',
			name = L["Default Alpha"],
			desc = L["Sets the alpha of default nameplates"],
			min = 0,
			max = 1,
			step = 0.01,
			disabled = function() return not AloftAlpha.db.profile.defaultEnable end,
			get = function() return AloftAlpha.db.profile.defaultAlpha end,
			set = function(v) AloftAlpha.db.profile.defaultAlpha = v end,
			order = 6,
		},
	},
}
